#include "stm32f10x.h"
#include "delay.h"
#include "sys.h"
//EPD
#include "Display_EPD_W21_spi.h"
#include "Display_EPD_W21.h"
#include "Ap_29demo.h"	
//GUI
#include "GUI_Paint.h"
#include "fonts.h"



//Tips//
/*
1.When the e-paper is refreshed in full screen, the picture flicker is a normal phenomenon, and the main function is to clear the display afterimage in the previous picture.
2.When the partial refresh is performed, the screen does not flash.
3.After the e-paper is refreshed, you need to put it into sleep mode, please do not delete the sleep command.
4.Please do not take out the electronic paper when power is on.
5.Wake up from sleep, need to re-initialize the e-paper.
6.When you need to transplant the driver, you only need to change the corresponding IO. The BUSY pin is the input mode and the others are the output mode.
*/
unsigned char BlackImage[1024];
int main()
{
		delay_init();	    	     //Delay function initialization
		NVIC_Configuration(); 	//Set NVIC interrupt grouping 2
    EPD_GPIO_Init();       //EPD GPIO  initialization
	while(1)
	{
  ///////////////////////////Normal picture display/////////////////////////////////////////////////////////////////
		/************Normal picture display*******************/
    EPD_init(); //EPD init
	  PIC_display(gImage_BW1,gImage_R1);//EPD_picture1
		EPD_sleep();//EPD_sleep,Sleep instruction is necessary, please do not delete!!!
		delay_s(2); //2s	
		
		//Clear
		EPD_init(); //EPD init
	  PIC_display_Clear();//EPD Clear
		EPD_sleep();//EPD_sleep,Sleep instruction is necessary, please do not delete!!!
		delay_s(2); //2s	

		
  ///////////////////////////GUI///////////////////////////////////////////////////////////////////////////////////
    /**************Drawing**********************/
		EPD_init_GUI(); //EPD init
		//BW
		Paint_NewImage(BlackImage, 104, 24, 0, WHITE);//Image_DATA,Image_width,Image_height,Rotate,Background_Color
		Paint_SelectImage(BlackImage);//Set the virtual canvas data storage location	
		Paint_Clear(WHITE);		
		Paint_DrawString_EN(0, 0, "Good Display", &Font12, WHITE, BLACK);  //5*8
		SetFrameMemory(BlackImage,0, 10, 104, 24,0); //Image_DATA,x,y,Image_width,Image_height,Color
    //R
		Paint_NewImage(BlackImage, 104, 24, 0, WHITE);
		Paint_SelectImage(BlackImage);//Set the virtual canvas data storage location	
		Paint_Clear(WHITE);		
		Paint_DrawString_EN(0, 0, "12345678", &Font16, WHITE, BLACK);  //5*8
		SetFrameMemory(BlackImage,0, 50, 104, 24,1);//Image_DATA,x,y,Image_width,Image_height,Color
		
    //BW
		Paint_NewImage(BlackImage, 64, 64, 0, WHITE);
		Paint_SelectImage(BlackImage);//Set the virtual canvas data storage location	
		Paint_Clear(WHITE);		
		Paint_DrawCircle(30, 30, 25, BLACK, DRAW_FILL_EMPTY, DOT_PIXEL_1X1);
		SetFrameMemory(BlackImage,50, 80, 64, 64,0);//Image_DATA,x,y,Image_width,Image_height,Color
		EPD_Refresh();//display image
		EPD_sleep();//EPD_sleep,Sleep instruction is necessary, please do not delete!!!    
    delay_s(2); //2s				

		//Clear
		EPD_init(); //EPD init
	  PIC_display_Clear();//EPD Clear
		EPD_sleep();//EPD_sleep,Sleep instruction is necessary, please do not delete!!!
		delay_s(2); //2s	
				
		while(1);
	}
}	


